{% extends 'base.html.twig' %}
{% block header_title %}Attributions de service{% endblock %}
{% block header_subtitle %}{% endblock %}

{% block body %}
    <div class="col-xxl-10 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Attributions de service aux réunions du week-end</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner border-top">
                <form action="{{ path('app_assignment_create') }}" method="post" id="createPublisherForm">
                    <div class="row gy-4">
                        <div class="col-sm-6">
                            <div class="form-group">
                                {{ form_label(form.publisher) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.publisher) }}
                                    {{ form_errors(form.publisher) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6 mt-2">
                            <div class="form-group">
                                {{ form_label(form.watchtowerReader) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.watchtowerReader) }}
                                    {{ form_errors(form.watchtowerReader) }}
                                </div>
                            </div>
                            <div class="form-group">
                                {{ form_label(form.weekendChairman) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.weekendChairman) }}
                                    {{ form_errors(form.weekendChairman) }}
                                </div>
                            </div>
                            <div class="form-group">
                                {{ form_label(form.speaker) }}
                                <div class="form-control-wrap">
                                    {{ form_widget(form.speaker) }}
                                    {{ form_errors(form.speaker) }}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mt-4">
                        <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                    </div>
                    {{ form_widget(form._token) }}
                </form>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->
{% endblock %}
{% block javascripts %}
    <script>
        const $buttonCreateNext = document.getElementById("createNext");
        const $form = document.getElementById("createPublisherForm");
        $buttonCreateNext.addEventListener('click', function () {
            $form.action = $form.action + '?createNext=true';
        })
    </script>
{% endblock %}
